DROP TABLESPACE(7)

NAME
DROP_TABLESPACE - remove a tablespace

SYNOPSIS

DROP TABLESPACE [ IF EXISTS ] name

DESCRIPTION

    Note

    The following description applies both to Postgres-XC and PostgreSQL if not described explicitly.

DROP TABLESPACE removes a tablespace from the system.

A tablespace can only be dropped by its owner or a superuser. The tablespace must be empty of all database objects before it can be dropped. It is possible that objects in other databases might still reside in the tablespace even if no objects in the current database are using the tablespace. Also, if the tablespace is listed in the temp_tablespaces setting of any active session, the DROP might fail due to temporary files residing in the tablespace.

PARAMETERS

IF EXISTS
    Do not throw an error if the tablespace does not exist. A notice is issued in this case.

name
    The name of a tablespace.

NOTES

DROP TABLESPACE cannot be executed inside a transaction block.

DROP TABLESPACE can be run with EXECUTE DIRECT to control tablespace existence on remote nodes. This works for both remote Coordinators and Datanodes but not on this operation is not authorized on node where application client is connected.

EXAMPLES

To remove tablespace mystuff from the system:

    DROP TABLESPACE mystuff;

COMPATIBILITY

DROP TABLESPACE is a Postgres-XC extension.

SEE ALSO
CREATE TABLESPACE (CREATE_TABLESPACE(7)), ALTER TABLESPACE (ALTER_TABLESPACE(7))